Loading...
Searching...
No Matches
elastix::ParameterObject Class Reference

`#include <elxParameterObject.h>`

## Detailed Description

Definition at line 32 of file elxParameterObject.h.

Inheritance diagram for elastix::ParameterObject:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ParameterFileNameType = std::string
using | ParameterFileNameVectorConstIterator = ParameterFileNameVectorType::const_iterator
using | ParameterFileNameVectorIterator = ParameterFileNameVectorType::iterator
using | ParameterFileNameVectorType = std::vector<ParameterFileNameType>
using | ParameterKeyType = std::string
using | ParameterMapConstIterator = ParameterMapType::const_iterator
using | ParameterMapIterator = ParameterMapType::iterator
using | ParameterMapType = std::map<ParameterKeyType, ParameterValueVectorType>
using | ParameterMapVectorType = std::vector<ParameterMapType>
using | ParameterValueType = std::string
using | ParameterValueVectorIterator = ParameterValueVectorType::iterator
using | ParameterValueVectorType = std::vector<ParameterValueType>
using | Pointer = itk::SmartPointer<Self>
using | Self = ParameterObject

## Public Member Functions

void | AddParameterFile (const ParameterFileNameType &parameterFileName)
void | AddParameterMap (const ParameterMapType &parameterMap)
virtual const char * | GetClassName () const
unsigned int | GetNumberOfParameterMaps () const
const ParameterValueVectorType & | GetParameter (const unsigned int index, const ParameterKeyType &key)
const ParameterMapVectorType & | GetParameterMap () const
const ParameterMapType & | GetParameterMap (const unsigned int index) const
const ParameterMapVectorType & | GetParameterMaps () const
void | ReadParameterFile (const ParameterFileNameType &parameterFileName)
void | ReadParameterFile (const ParameterFileNameVectorType &parameterFileNameVector)
void | ReadParameterFiles (const ParameterFileNameVectorType &parameterFileNameVector)
void | RemoveParameter (const ParameterKeyType &key)
void | RemoveParameter (const unsigned int index, const ParameterKeyType &key)
void | SetParameter (const ParameterKeyType &key, const ParameterValueType &value)
void | SetParameter (const ParameterKeyType &key, const ParameterValueVectorType &value)
void | SetParameter (const unsigned int index, const ParameterKeyType &key, const ParameterValueType &value)
void | SetParameter (const unsigned int index, const ParameterKeyType &key, const ParameterValueVectorType &value)
void | SetParameterMap (const ParameterMapType &parameterMap)
void | SetParameterMap (const ParameterMapVectorType &parameterMaps)
void | SetParameterMap (const unsigned int index, const ParameterMapType &parameterMap)
void | SetParameterMaps (const ParameterMapVectorType &parameterMaps)
void | WriteParameterFile () const
void | WriteParameterFile (const ParameterFileNameType &parameterFileName) const
void | WriteParameterFile (const ParameterFileNameVectorType &parameterFileNameVector) const
void | WriteParameterFiles () const
void | WriteParameterFiles (const ParameterFileNameVectorType &parameterFileNameVector) const

## Static Public Member Functions

static const ParameterMapType | GetDefaultParameterMap (const std::string &transformName, const unsigned int numberOfResolutions=4u, const double finalGridSpacingInPhysicalUnits=10.0)
static Pointer | New ()
static void | WriteParameterFile (const ParameterMapType &parameterMap, const ParameterFileNameType &parameterFileName)
static void | WriteParameterFile (const ParameterMapVectorType &parameterMapVector, const ParameterFileNameVectorType &parameterFileNameVector)
static void | WriteParameterFiles (const ParameterMapVectorType &parameterMapVector, const ParameterFileNameVectorType &parameterFileNameVector)

## Protected Member Functions

void | PrintSelf (std::ostream &os, itk::Indent indent) const override

## Private Attributes

ParameterMapVectorType | m_ParameterMaps

## Member Typedef Documentation

## ConstPointer

using elastix::ParameterObject::ConstPointer = itk::SmartPointer<const Self>

Definition at line 37 of file elxParameterObject.h.

## ParameterFileNameType

using elastix::ParameterObject::ParameterFileNameType = std::string

Definition at line 49 of file elxParameterObject.h.

## ParameterFileNameVectorConstIterator

using elastix::ParameterObject::ParameterFileNameVectorConstIterator = ParameterFileNameVectorType::const_iterator

Definition at line 52 of file elxParameterObject.h.

## ParameterFileNameVectorIterator

using elastix::ParameterObject::ParameterFileNameVectorIterator = ParameterFileNameVectorType::iterator

Definition at line 51 of file elxParameterObject.h.

## ParameterFileNameVectorType

using elastix::ParameterObject::ParameterFileNameVectorType = std::vector<ParameterFileNameType>

Definition at line 50 of file elxParameterObject.h.

## ParameterKeyType

using elastix::ParameterObject::ParameterKeyType = std::string

Definition at line 41 of file elxParameterObject.h.

## ParameterMapConstIterator

using elastix::ParameterObject::ParameterMapConstIterator = ParameterMapType::const_iterator

Definition at line 47 of file elxParameterObject.h.

## ParameterMapIterator

using elastix::ParameterObject::ParameterMapIterator = ParameterMapType::iterator

Definition at line 46 of file elxParameterObject.h.

## ParameterMapType

using elastix::ParameterObject::ParameterMapType = std::map<ParameterKeyType, ParameterValueVectorType>

Definition at line 45 of file elxParameterObject.h.

## ParameterMapVectorType

using elastix::ParameterObject::ParameterMapVectorType = std::vector<ParameterMapType>

Definition at line 48 of file elxParameterObject.h.

## ParameterValueType

using elastix::ParameterObject::ParameterValueType = std::string

Definition at line 42 of file elxParameterObject.h.

## ParameterValueVectorIterator

using elastix::ParameterObject::ParameterValueVectorIterator = ParameterValueVectorType::iterator

Definition at line 44 of file elxParameterObject.h.

## ParameterValueVectorType

using elastix::ParameterObject::ParameterValueVectorType = std::vector<ParameterValueType>

Definition at line 43 of file elxParameterObject.h.

## Pointer

using elastix::ParameterObject::Pointer = itk::SmartPointer<Self>

Definition at line 36 of file elxParameterObject.h.

## Self

using elastix::ParameterObject::Self = ParameterObject

Definition at line 35 of file elxParameterObject.h.

## Member Function Documentation

## AddParameterFile()

void elastix::ParameterObject::AddParameterFile | ( | const ParameterFileNameType & | parameterFileName | ) |

## AddParameterMap()

void elastix::ParameterObject::AddParameterMap | ( | const ParameterMapType & | parameterMap | ) |

## GetClassName()

virtual const char * elastix::ParameterObject::GetClassName | ( |  | ) | const

virtual

## GetDefaultParameterMap()

const ParameterMapType elastix::ParameterObject::GetDefaultParameterMap | ( | const std::string & | transformName,
|  | const unsigned int | numberOfResolutions = 4u,
|  | const double | finalGridSpacingInPhysicalUnits = 10.0 )

static

## GetNumberOfParameterMaps()

unsigned int elastix::ParameterObject::GetNumberOfParameterMaps | ( |  | ) | const

inline

Definition at line 85 of file elxParameterObject.h.

## GetParameter()

const ParameterValueVectorType & elastix::ParameterObject::GetParameter | ( | const unsigned int | index,
|  | const ParameterKeyType & | key )

## GetParameterMap() [1/2]

const ParameterMapVectorType & elastix::ParameterObject::GetParameterMap | ( |  | ) | const

inline

Definition at line 73 of file elxParameterObject.h.

## GetParameterMap() [2/2]

const ParameterMapType & elastix::ParameterObject::GetParameterMap | ( | const unsigned int | index | ) | const

## GetParameterMaps()

const ParameterMapVectorType & elastix::ParameterObject::GetParameterMaps | ( |  | ) | const

inline

Definition at line 79 of file elxParameterObject.h.

## New()

Pointer elastix::ParameterObject::New | ( |  | ) |

static

## PrintSelf()

void elastix::ParameterObject::PrintSelf | ( | std::ostream & | os,
|  | itk::Indent | indent ) const

override protected

## ReadParameterFile() [1/2]

void elastix::ParameterObject::ReadParameterFile | ( | const ParameterFileNameType & | parameterFileName | ) |

## ReadParameterFile() [2/2]

void elastix::ParameterObject::ReadParameterFile | ( | const ParameterFileNameVectorType & | parameterFileNameVector | ) |

## ReadParameterFiles()

void elastix::ParameterObject::ReadParameterFiles | ( | const ParameterFileNameVectorType & | parameterFileNameVector | ) |

## RemoveParameter() [1/2]

void elastix::ParameterObject::RemoveParameter | ( | const ParameterKeyType & | key | ) |

## RemoveParameter() [2/2]

void elastix::ParameterObject::RemoveParameter | ( | const unsigned int | index,
|  | const ParameterKeyType & | key )

## SetParameter() [1/4]

void elastix::ParameterObject::SetParameter | ( | const ParameterKeyType & | key,
|  | const ParameterValueType & | value )

## SetParameter() [2/4]

void elastix::ParameterObject::SetParameter | ( | const ParameterKeyType & | key,
|  | const ParameterValueVectorType & | value )

## SetParameter() [3/4]

void elastix::ParameterObject::SetParameter | ( | const unsigned int | index,
|  | const ParameterKeyType & | key,
|  | const ParameterValueType & | value )

## SetParameter() [4/4]

void elastix::ParameterObject::SetParameter | ( | const unsigned int | index,
|  | const ParameterKeyType & | key,
|  | const ParameterValueVectorType & | value )

## SetParameterMap() [1/3]

void elastix::ParameterObject::SetParameterMap | ( | const ParameterMapType & | parameterMap | ) |

## SetParameterMap() [2/3]

void elastix::ParameterObject::SetParameterMap | ( | const ParameterMapVectorType & | parameterMaps | ) |

## SetParameterMap() [3/3]

void elastix::ParameterObject::SetParameterMap | ( | const unsigned int | index,
|  | const ParameterMapType & | parameterMap )

## SetParameterMaps()

void elastix::ParameterObject::SetParameterMaps | ( | const ParameterMapVectorType & | parameterMaps | ) |

## WriteParameterFile() [1/5]

void elastix::ParameterObject::WriteParameterFile | ( |  | ) | const

## WriteParameterFile() [2/5]

void elastix::ParameterObject::WriteParameterFile | ( | const ParameterFileNameType & | parameterFileName | ) | const

## WriteParameterFile() [3/5]

void elastix::ParameterObject::WriteParameterFile | ( | const ParameterFileNameVectorType & | parameterFileNameVector | ) | const

## WriteParameterFile() [4/5]

void elastix::ParameterObject::WriteParameterFile | ( | const ParameterMapType & | parameterMap,
|  | const ParameterFileNameType & | parameterFileName )

static

## WriteParameterFile() [5/5]

void elastix::ParameterObject::WriteParameterFile | ( | const ParameterMapVectorType & | parameterMapVector,
|  | const ParameterFileNameVectorType & | parameterFileNameVector )

static

## WriteParameterFiles() [1/3]

void elastix::ParameterObject::WriteParameterFiles | ( |  | ) | const

## WriteParameterFiles() [2/3]

void elastix::ParameterObject::WriteParameterFiles | ( | const ParameterFileNameVectorType & | parameterFileNameVector | ) | const

## WriteParameterFiles() [3/3]

void elastix::ParameterObject::WriteParameterFiles | ( | const ParameterMapVectorType & | parameterMapVector,
|  | const ParameterFileNameVectorType & | parameterFileNameVector )

static

## Field Documentation

## m_ParameterMaps

ParameterMapVectorType elastix::ParameterObject::m_ParameterMaps

private

Definition at line 154 of file elxParameterObject.h.

Generated on 1768596610 for elastix by 1.15.0 |